Package org.eclipse.emf.cdo.eresource.util

## Class EresourceAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - org.eclipse.emf.cdo.eresource.util.EresourceAdapterFactory

- All Implemented Interfaces:
    `org.eclipse.emf.common.notify.AdapterFactory`
  Direct Known Subclasses:
    `EresourceItemProviderAdapterFactory`

      public class EresourceAdapterFactory
      extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

  The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.
  See Also:
    `EresourcePackage`
  Generated

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static EresourcePackage` | `modelPackage` | The cached model package.
    `protected EresourceSwitch<org.eclipse.emf.common.notify.Adapter>` | `modelSwitch` | The switch that delegates to the `createXXX` methods.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EresourceAdapterFactory()` | Creates an instance of the adapter factory.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.emf.common.notify.Adapter` | `createAdapter​(org.eclipse.emf.common.notify.Notifier target)` | Creates an adapter for the `target`.
    `org.eclipse.emf.common.notify.Adapter` | `createCDOBinaryResourceAdapter()` | Creates a new adapter for an object of class '`CDO Binary Resource`'.
    `org.eclipse.emf.common.notify.Adapter` | `createCDOFileResourceAdapter()` | Creates a new adapter for an object of class '`CDO File Resource`'.
    `org.eclipse.emf.common.notify.Adapter` | `createCDOResourceAdapter()` | Creates a new adapter for an object of class '`CDO Resource`'.
    `org.eclipse.emf.common.notify.Adapter` | `createCDOResourceFolderAdapter()` | Creates a new adapter for an object of class '`CDO Resource Folder`'.
    `org.eclipse.emf.common.notify.Adapter` | `createCDOResourceLeafAdapter()` | Creates a new adapter for an object of class '`CDO Resource Leaf`'.
    `org.eclipse.emf.common.notify.Adapter` | `createCDOResourceNodeAdapter()` | Creates a new adapter for an object of class '`CDO Resource Node`'.
    `org.eclipse.emf.common.notify.Adapter` | `createCDOTextResourceAdapter()` | Creates a new adapter for an object of class '`CDO Text Resource`'.
    `org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` | Creates a new adapter for the default case.
    `boolean` | `isFactoryForType​(java.lang.Object object)` | Returns whether this factory is applicable for the type of the object.

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

      `adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelPackage

          protected static EresourcePackage modelPackage

      The cached model package.
      Generated

    - #### modelSwitch

          protected EresourceSwitch<org.eclipse.emf.common.notify.Adapter> modelSwitch

      The switch that delegates to the `createXXX` methods.
      Generated

  - ### Constructor Detail

    - #### EresourceAdapterFactory

          public EresourceAdapterFactory()

      Creates an instance of the adapter factory.
      Generated

  - ### Method Detail

    - #### isFactoryForType

          public boolean isFactoryForType​(java.lang.Object object)

      Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.
      Specified by:
        `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Returns:
        whether this factory is applicable for the type of the object.
      Generated

    - #### createAdapter

          public org.eclipse.emf.common.notify.Adapter createAdapter​(org.eclipse.emf.common.notify.Notifier target)

      Creates an adapter for the `target`.
      Overrides:
        `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Parameters:
        `target` - the object to adapt.
      Returns:
        the adapter for the `target`.
      Generated

    - #### createCDOResourceNodeAdapter

          public org.eclipse.emf.common.notify.Adapter createCDOResourceNodeAdapter()

      Creates a new adapter for an object of class '`CDO Resource Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      Since:
        2.0
      See Also:
        `CDOResourceNode`
      Generated

    - #### createCDOResourceFolderAdapter

          public org.eclipse.emf.common.notify.Adapter createCDOResourceFolderAdapter()

      Creates a new adapter for an object of class '`CDO Resource Folder`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      Since:
        2.0
      See Also:
        `CDOResourceFolder`
      Generated

    - #### createCDOResourceAdapter

          public org.eclipse.emf.common.notify.Adapter createCDOResourceAdapter()

      Creates a new adapter for an object of class '`CDO Resource`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `CDOResource`
      Generated

    - #### createCDOResourceLeafAdapter

          public org.eclipse.emf.common.notify.Adapter createCDOResourceLeafAdapter()

      Creates a new adapter for an object of class '`CDO Resource Leaf`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      Since:
        4.1
      See Also:
        `CDOResourceLeaf`
      Generated

    - #### createCDOFileResourceAdapter

          public org.eclipse.emf.common.notify.Adapter createCDOFileResourceAdapter()

      Creates a new adapter for an object of class '`CDO File Resource`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      Since:
        4.1
      See Also:
        `CDOFileResource`
      Generated

    - #### createCDOBinaryResourceAdapter

          public org.eclipse.emf.common.notify.Adapter createCDOBinaryResourceAdapter()

      Creates a new adapter for an object of class '`CDO Binary Resource`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      Since:
        4.1
      See Also:
        `CDOBinaryResource`
      Generated

    - #### createCDOTextResourceAdapter

          public org.eclipse.emf.common.notify.Adapter createCDOTextResourceAdapter()

      Creates a new adapter for an object of class '`CDO Text Resource`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      Since:
        4.1
      See Also:
        `CDOTextResource`
      Generated

    - #### createEObjectAdapter

          public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

      Creates a new adapter for the default case. This default implementation returns null.
      Returns:
        the new adapter.
      Generated